summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* sci-libs/hipSPARSE: add 5.1.3, using rocm.eclassYiyang Wu12 days2-0/+97
| | | | | Signed-off-by: Yiyang Wu <xgreenlandforwyy@gmail.com> Signed-off-by: Benda Xu <heroxbd@gentoo.org>
* sci-libs/hipSPARSE: egrep -> grep -ESam James2022-05-152-2/+2
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* sci-libs/hipSPARSE: call eend with a return value.Benda Xu2022-05-032-2/+2
| | | | | | Closes: https://bugs.gentoo.org/842411 Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Benda Xu <heroxbd@gentoo.org>
* sci-libs/hipSPARSE: bump to 5.0.2.Benda Xu2022-05-033-0/+232
| | | | | Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Benda Xu <heroxbd@gentoo.org>
* sci-libs/hipCUB: loosen the dependency on dev-util/hipBenda Xu2022-05-021-3/+3
| | | | | | | | | | | | | | | | | | | | | | | | | | sci-libs/hipSPARSE: sci-libs/rocPRIM: sci-libs/rocRAND: sci-libs/rocSOLVER: sci-libs/rocSPARSE: same The possibility is pointed out by Cory Bloor: You can probably build the versions of rocBLAS and rocSOLVER tagged at rocm-5.1.1 with the HIP stack from ROCm 4.3.1. Just be sure to rebuild all the {roc,hip}{BLAS,SOLVER} libraries at the new tag, since they all use private (unstable) APIs provided by rocBLAS. The sci-libs/* ROCm packages should be aligned with sci-libs/rocBLAS, while the other dev-*/* ROCm packages should be aligned with dev-util/hip. Credit: Cory Bloor Suggested-by: Yiyang Wu <xgreenlandforwyy@gmail.com> Closes: https://bugs.gentoo.org/838394 Closes: https://bugs.gentoo.org/841982 Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Benda Xu <heroxbd@gentoo.org>
* sci-libs/hipSPARSE: remove unused cmake variableBenda Xu2022-05-011-3/+3
| | | | | | | | | __skip_rocmclang was used to avoid configuration error for cmake-3.21.(1|2), which don't exist among ebuilds anymore. Closes: https://bugs.gentoo.org/829077 Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Benda Xu <heroxbd@gentoo.org>
* sci-libs/hipSPARSE: bump version to 4.3.0YiyangWu2021-11-063-0/+242
| | | | | | | | | Enable test. Closes: https://github.com/gentoo/gentoo/pull/22805 Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Yiyang Wu <xgreenlandforwyy@gmail.com> Signed-off-by: Benda Xu <heroxbd@gentoo.org>
* **/metadata.xml: Replace http by https in DOCTYPE elementUlrich Müller2021-09-111-1/+1
| | | | | Bug: https://bugs.gentoo.org/552720 Signed-off-by: Ulrich Müller <ulm@gentoo.org>
* */*: Add proxied="yes" for non-@gentoo.org peopleMichał Górny2021-03-161-1/+1
| | | | | | | | | | | | Done via: find -name metadata.xml -exec xml ed -P -L \ -a '/pkgmetadata/maintainer[substring(email, string-length(email) - string-length("@gentoo.org") + 1) != "@gentoo.org"]' \ -t attr -n proxied -v yes {} + Signed-off-by: Michał Górny <mgorny@gentoo.org>
* sci-libs/hipSPARSE: fix RDPEND typoSam James2021-02-271-1/+1
| | | | | Package-Manager: Portage-3.0.15, Repoman-3.0.2 Signed-off-by: Sam James <sam@gentoo.org>
* sci-libs/hipSPARSE: SPARSE marshalling library.Benda Xu2021-01-243-0/+69
Closes: https://github.com/gentoo/gentoo/pull/19145 Bug: https://bugs.gentoo.org/650804 Bug: https://github.com/gentoo/gentoo/pull/10724 Suggested-by: Yiyang Wu <xgreenlandforwyy@gmail.com> Suggested-by: Wilfried Holzke <gentoo@holzke.net> Package-Manager: Portage-3.0.12, Repoman-3.0.1 Signed-off-by: Benda Xu <heroxbd@gentoo.org>